# pydicom.valuerep.IS

class `pydicom.valuerep.``IS`(val)

  Store value for an element with VR ‘IS’ as `int`.

  Stores original integer string for exact rewriting of the string originally read or stored.

  `__init__`(val)

    Initialize self. See help(type(self)) for accurate signature.

  Methods

  `__init__`(val) | Initialize self.
  `as_integer_ratio` | Return integer ratio.
  `bit_length` | Number of bits necessary to represent self in binary.
  `conjugate` | Returns self, the complex conjugate of any int.
  `from_bytes` | Return the integer represented by the given array of bytes.
  `to_bytes` | Return an array of bytes representing an integer.

  Attributes

  `denominator` | the denominator of a rational number in lowest terms
  `imag` | the imaginary part of a complex number
  `numerator` | the numerator of a rational number in lowest terms
  `real` | the real part of a complex number